Main Page Class List Class Members

# VHACD::VoxelSet Class Reference

`#include <vhacdVolume.h>`

Inheritance diagram for VHACD::VoxelSet:

List of all members.

## Public Member Functions
void | AlignToPrincipalAxes ()
void | Clip (const Plane &plane, PrimitiveSet *const positivePart, PrimitiveSet *const negativePart) const
void | ComputeBB ()
void | ComputeClippedVolumes (const Plane &plane, double &positiveVolume, double &negativeVolume) const
void | ComputeConvexHull (Mesh &meshCH, const size_t sampling=1) const
void | ComputeExteriorPoints (const Plane &plane, const Mesh &mesh, SArray< Vec3< double > > *const exteriorPts) const
const double | ComputeMaxVolumeError () const
void | ComputePrincipalAxes ()
const double | ComputeVolume () const
void | Convert (Mesh &mesh, const VOXEL_VALUE value) const
PrimitiveSet * | Create () const
const double | GetEigenValue (AXIS axis) const
const Vec3< short > & | GetMaxBBVoxels () const
const Vec3< double > & | GetMinBB () const
const Vec3< short > & | GetMinBBVoxels () const
const size_t | GetNPrimitives () const
const size_t | GetNPrimitivesInsideSurf () const
const size_t | GetNPrimitivesOnSurf () const
Vec3< double > | GetPoint (Vec3< double > voxel) const
Vec3< double > | GetPoint (const Voxel &voxel) const
Vec3< double > | GetPoint (Vec3< short > voxel) const
void | GetPoints (const Voxel &voxel, Vec3< double > *const pts) const
const double & | GetScale () const
const double & | GetUnitVolume () const
const Voxel *const | GetVoxels () const
Voxel *const | GetVoxels ()
void | Intersect (const Plane &plane, SArray< Vec3< double > > *const positivePts, SArray< Vec3< double > > *const negativePts, const size_t sampling) const
void | RevertAlignToPrincipalAxes ()
void | SelectOnSurface (PrimitiveSet *const onSurfP) const
| VoxelSet ()
| Constructor.
| ~VoxelSet (void)
| Destructor.
## Friends
class | Volume

## Constructor & Destructor Documentation

VHACD::VoxelSet::~VoxelSet | ( | void |  | ) |

Destructor.

VHACD::VoxelSet::VoxelSet | ( |  | ) |

Constructor.

## Member Function Documentation

void VHACD::VoxelSet::AlignToPrincipalAxes | ( |  | ) | `[inline, virtual]`

Implements VHACD::PrimitiveSet.

void VHACD::VoxelSet::Clip | ( | const Plane & | plane,
|  | PrimitiveSet *const | positivePart,
|  | PrimitiveSet *const | negativePart |
| ) |  |  | const`[virtual]`

Implements VHACD::PrimitiveSet.

void VHACD::VoxelSet::ComputeBB | ( |  | ) | `[virtual]`

Implements VHACD::PrimitiveSet.

void VHACD::VoxelSet::ComputeClippedVolumes | ( | const Plane & | plane,
|  | double & | positiveVolume,
|  | double & | negativeVolume |
| ) |  |  | const`[virtual]`

Implements VHACD::PrimitiveSet.

void VHACD::VoxelSet::ComputeConvexHull | ( | Mesh & | meshCH,
|  | const size_t | sampling = `1` |
| ) |  |  | const`[virtual]`

Implements VHACD::PrimitiveSet.

void VHACD::VoxelSet::ComputeExteriorPoints | ( | const Plane & | plane,
|  | const Mesh & | mesh,
|  | SArray< Vec3< double > > *const | exteriorPts |
| ) |  |  | const`[virtual]`

Implements VHACD::PrimitiveSet.

const double VHACD::VoxelSet::ComputeMaxVolumeError | ( |  | ) | const`[inline, virtual]`

Implements VHACD::PrimitiveSet.

void VHACD::VoxelSet::ComputePrincipalAxes | ( |  | ) | `[virtual]`

Implements VHACD::PrimitiveSet.

const double VHACD::VoxelSet::ComputeVolume | ( |  | ) | const`[inline, virtual]`

Implements VHACD::PrimitiveSet.

void VHACD::VoxelSet::Convert | ( | Mesh & | mesh,
|  | const VOXEL_VALUE | value |
| ) |  |  | const`[virtual]`

Implements VHACD::PrimitiveSet.

PrimitiveSet* VHACD::VoxelSet::Create | ( |  | ) | const`[inline, virtual]`

Implements VHACD::PrimitiveSet.

const double VHACD::VoxelSet::GetEigenValue | ( | AXIS | axis | ) | const`[inline, virtual]`

Implements VHACD::PrimitiveSet.

const Vec3<short>& VHACD::VoxelSet::GetMaxBBVoxels | ( |  | ) | const`[inline]`

const Vec3<double>& VHACD::VoxelSet::GetMinBB | ( |  | ) | const`[inline]`

const Vec3<short>& VHACD::VoxelSet::GetMinBBVoxels | ( |  | ) | const`[inline]`

const size_t VHACD::VoxelSet::GetNPrimitives | ( |  | ) | const`[inline, virtual]`

Implements VHACD::PrimitiveSet.

const size_t VHACD::VoxelSet::GetNPrimitivesInsideSurf | ( |  | ) | const`[inline, virtual]`

Implements VHACD::PrimitiveSet.

const size_t VHACD::VoxelSet::GetNPrimitivesOnSurf | ( |  | ) | const`[inline, virtual]`

Implements VHACD::PrimitiveSet.

Vec3<double> VHACD::VoxelSet::GetPoint | ( | Vec3< double > | voxel | ) | const`[inline]`

Vec3<double> VHACD::VoxelSet::GetPoint | ( | const Voxel & | voxel | ) | const`[inline]`

Vec3<double> VHACD::VoxelSet::GetPoint | ( | Vec3< short > | voxel | ) | const`[inline]`

void VHACD::VoxelSet::GetPoints | ( | const Voxel & | voxel,
|  | Vec3< double > *const | pts |
| ) |  |  | const

const double& VHACD::VoxelSet::GetScale | ( |  | ) | const`[inline]`

const double& VHACD::VoxelSet::GetUnitVolume | ( |  | ) | const`[inline]`

const Voxel* const VHACD::VoxelSet::GetVoxels | ( |  | ) | const`[inline]`

Voxel* const VHACD::VoxelSet::GetVoxels | ( |  | ) | `[inline]`

void VHACD::VoxelSet::Intersect | ( | const Plane & | plane,
|  | SArray< Vec3< double > > *const | positivePts,
|  | SArray< Vec3< double > > *const | negativePts,
|  | const size_t | sampling |
| ) |  |  | const`[virtual]`

Implements VHACD::PrimitiveSet.

void VHACD::VoxelSet::RevertAlignToPrincipalAxes | ( |  | ) | `[inline, virtual]`

Implements VHACD::PrimitiveSet.

void VHACD::VoxelSet::SelectOnSurface | ( | PrimitiveSet *const | onSurfP | ) | const`[virtual]`

Implements VHACD::PrimitiveSet.

## Friends And Related Function Documentation

friend class Volume`[friend]`

The documentation for this class was generated from the following file:

- sdk/extensions/authoring/source/VHACD/inc/vhacdVolume.h